%define module Gtk2-Deprecated
%define fmodule Gtk2/Deprecated

Summary:	Perl module for deprecated gtk+-2.x widgets
Name:		perl-%module
Version:	0.05
Release:	%mkrel 15
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source0:	http://asofyet.org/muppet/software/gtk2-perl/%module-%version.tar.bz2

BuildRequires:	gtk+2-devel
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-Gtk2 > 1.00

%description
This module provides perl access to the widgets that were deprecated
in gtk+2.x.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README TODO NEWS AUTHORS LICENSE
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule
%{perl_vendorarch}/Gtk2/*.pod


%changelog

* Fri Jan 18 2013 fwang <fwang> 0.05-15.mga3
+ Revision: 389355
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.05-14.mga3
+ Revision: 367871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.05-13.mga3
+ Revision: 250710
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.05-12.mga2
+ Revision: 135819
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.05-11.mga2
+ Revision: 104635
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.05-10.mga1
+ Revision: 36786
- no meta.yml
- rebuild
- imported package perl-Gtk2-Deprecated

